Summary:	X.org video driver for ASpeed Technologies video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org do kart graficznych ASpeed Technologies
Name:		xorg-driver-video-ast
Version:	1.1.5
Release:	4
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ast-%{version}.tar.bz2
# Source0-md5:	4f85febe48d51e53624550a96fc9e9ee
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	XFree86-driver-aspeed < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video adapters based on ASpeed Technologies
chipsets: AST1180, AST2000, AST2100, AST2200, AST2300, AST2400,
AST2500.

%description -l pl.UTF-8
Sterownik obrazu X.org do kart graficznych opartych na układach firmy
ASpeed Technologies: AST1180, AST2000, AST2100, AST2200, AST2300,
AST2400, AST2500.

%prep
%setup -q -n xf86-video-ast-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ast_drv.so
#%{_mandir}/man4/ast.4*
%changelog
* Mon May 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-ast.git;a=log;h=master

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 6d857f3
- release 4 (by relup.sh)

* Thu Nov 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e538e16
- xserver rebuild
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9771008
- release 2 (by relup.sh)

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> f86b35a
- updated to 1.1.5 (adds AST2500 support)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 266d523
- due to xserver 1.17
- release 2 (by relup.sh)

* Sat Aug 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 8556bc1
- updated to 1.0.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 686c98a
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 31edf98
- xserver rebuild
- release 2 (by relup.sh)

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> b256e57
- updated to 0.99.9; introduces AST2400 support

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 801dd62
- release 2 (by relup.sh)

* Sun Aug 18 2013 Jakub Bogusz <qboosh@pld-linux.org> eaf9792
- updated to 0.98.0
- removed obsolete build patch

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 34f442c
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd2e7f0
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3013ec1
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 76a9602
- updated to 0.97.0

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> f408243
- updated to 0.96.0

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 4008902
- updated to 0.95.00
- release 2 (version is equal to 0.95.0 wrt rpmvercmp)

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 8eddf1f
- updated to 0.95.0

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 325f82f
- updated to 0.93.10

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a52ff8e
- release 4

